package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ExportTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value = "com-ym-mec-biz-dal-entity-ManagerDownload")
public class ManagerDownload {
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 下载人
     */
    @ApiModelProperty(value = "下载人")
    private Integer userId;

    /**
     * 文件名
     */
    @ApiModelProperty(value = "文件名")
    private String name;

    /**
     * 下载链接
     */
    @ApiModelProperty(value = "下载链接")
    private String fileUrl;

    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private ExportTypeEnum type;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Integer status=0;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public ExportTypeEnum getType() {
        return type;
    }

    public void setType(ExportTypeEnum type) {
        this.type = type;
    }
}